<main class="details-main">
    <article class="details-article">
        <aside class="details-selector">
            <app-reference-selector *ngIf="!isEdit"></app-reference-selector>
            <app-article-selector *ngIf="isEdit"></app-article-selector>
        </aside>

        <section #pagesContainer *ngIf="!!document" class="details-page">
            <app-pages #pages [document]="document" [isEdit]="isEdit"></app-pages>
        </section>
    </article>

    <aside class="details-buttons">
        <!--all read buttons-->
        <app-medium-button *ngIf="!isEdit" class="return-button" routerLink="../../" displayedText="Retour"></app-medium-button>
        <app-medium-button *ngIf="!isEdit" class="print-button" displayedText="Imprimer" (click)="onPrintPDF();"></app-medium-button>
        <app-medium-button *ngIf="!isEdit" class="download-button" displayedText="Télécharger" (click)="onDownloadPDF();"></app-medium-button>
        <app-medium-button *ngIf="!isEdit" class="edit-button" routerLink="../../edit/{{reference}}" [state]="{document: document}" displayedText="Éditer"></app-medium-button>
        
        <!--all edit buttons-->
        <app-medium-button *ngIf="isEdit" class="cancel-button" routerLink="{{cancelLink}}" [state]="{tempDocument: tempDocument}" displayedText="Annuler"></app-medium-button>
        <app-medium-button *ngIf="isEdit" class="save-button" displayedText="Enregistrer" (click)="onSave();"></app-medium-button>
        <!--<app-medium-button *ngIf="isEdit" class="save-send-button" displayedText="Enregistrer et Envoyer"></app-medium-button>--><!-- for futur update -->
        <app-medium-button *ngIf="isEdit" class="print-button" displayedText="Enregistrer et Imprimer" (click)="onSaveAndPrintPDF();"></app-medium-button>
    </aside>
</main>
